# Shiro
shiro:
    user:
        # 登录地址
        loginUrl: /login
        # 权限认证失败地址
        unauthorizedUrl: /unauth
        # 首页地址
        indexUrl: /index
        # 验证码开关
        captchaEnabled: true
        # 验证码类型 math 数组计算 char 字符
        captchaType: math
    cookie:
        # 设置Cookie的域名 默认空，即当前访问的域名
        domain:
        # 设置cookie的有效访问路径
        path: /
        # 设置HttpOnly属性
        httpOnly: true
        # 设置Cookie的过期时间，天为单位
        maxAge: 30
        # 设置密钥，务必保持唯一性（生成方式，直接拷贝到main运行即可）Base64.encodeToString(CipherUtils.generateNewKey(128, "AES").getEncoded()) （默认启动生成随机秘钥，随机秘钥会导致之前客户端RememberMe Cookie无效，如设置固定秘钥RememberMe Cookie则有效）
        cipherKey:
    session:
        # Session超时时间，-1代表永不过期（默认30分钟）
        expireTime: 720
        # 同步session到数据库的周期（默认1分钟）
        dbSyncPeriod: 1
        # 相隔多久检查一次session的有效性，默认就是10分钟
        validationInterval: 10
        # 同一个用户最大会话数，比如2的意思是同一个账号允许最多同时两个人登录（默认-1不限制）
        maxSession: -1
        # 踢出之前登录的/之后登录的用户，默认踢出之前登录的用户
        kickoutAfter: false
    rememberMe:
        # 是否开启记住我
        enabled: true

# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
                url: jdbc:mysql://8.138.169.236:3306/gqz?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=GMT%2B8
                username: root
                password: clunt@12345
            # 从库数据源
            slave:
                # 从数据源开关/默认关闭
                enabled: false
                url: 
                username: 
                password: 
            # 初始连接数
            initialSize: 5
            # 最小连接池数量
            minIdle: 5
            # 最大连接池数量
            maxActive: 10
            # 配置获取连接等待超时的时间
            maxWait: 60000
            # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
            timeBetweenEvictionRunsMillis: 60000
            # 配置一个连接在池中最小生存的时间，单位是毫秒
            minEvictableIdleTimeMillis: 300000
            # 配置一个连接在池中最大生存的时间，单位是毫秒
            maxEvictableIdleTimeMillis: 900000
            # 配置检测连接是否有效
            validationQuery: SELECT 1 FROM DUAL
            testWhileIdle: true
            testOnBorrow: false
            testOnReturn: false
            webStatFilter: 
                enabled: true
            statViewServlet:
                enabled: true
                # 设置白名单，不填则允许所有访问
                allow:
                url-pattern: /druid/*
                # 控制台管理用户名和密码
                login-username: ruoyi
                login-password: 123456
            filter:
                stat:
                    enabled: true
                    # 慢SQL记录
                    log-slow-sql: true
                    slow-sql-millis: 1000
                    merge-sql: true
                wall:
                    config:
                        multi-statement-allow: true